from abc import ABC, abstractmethod

from sziszapangma.model.relation_manager import RelationManager


class RelationManagerProvider(ABC):
    @abstractmethod
    def get_relation_manager(self, record_id: str) -> RelationManager:
        pass
